Subject: Re: Antw: Re: Cygwin python 2.3 oddity
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Olivier Lefevre <[email-masked]>
Date: Thu, 11 Sep 2003 11:43:16 -0400

Olivier,

On Thu, Sep 11, 2003 at 04:41:04PM +0200, Olivier Lefevre wrote:
> bash-2.05b$ ls -ls `echo $PYTHONSTARTUP`
> 1.0k -rw-rw-rw-    1 Administ None           22 Sep 11 16:34
> /c/cygwin/startup.py

Why is the above "/c/cygwin/startup.py" and not "/startup.py" as you
previously indicated?

> I know it isn't read because it contains the line 'from sets import
> Set' but
> 
> bash-2.05b$ python
> Python 2.3 (#1, Aug  1 2003, 15:01:23)
> [GCC 3.2 20020927 (prerelease)] on cygwin
> Type "help", "copyright", "credits" or "license" for more information.
> >>> Set()
> Traceback (most recent call last):
>   File "<stdin>", line 1, in ?
> NameError: name 'Set' is not defined
> 
> yet the sets module can be found:
> 
> >>> from sets import Set
> >>> Set()
> Set([])
> >>>
> 
> So at this point I am really mystified. 

I cannot explain the above behavior.

FWIW, the following works:

    $ cat /tmp/.pythonrc.py
    print '*** startup executed ***'
    $ PYTHONSTARTUP=/tmp/.pythonrc.py python
    Python 2.3 (#1, Aug  5 2003, 09:49:11) 
    [GCC 3.2 20020927 (prerelease)] on cygwin
    Type "help", "copyright", "credits" or "license" for more information.
    *** startup executed ***
    >>>

BTW, I just noticed that you are using Cygwin Python 2.3-1.  Does 2.3-2
work any better?  The two packages are identical except for 32- vs.
64-bit, but maybe this is the difference?

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/